function captchaupdate(cid,ccid,ctid) {
    d = new Date();
    $("#" + ccid).attr("src", BP0 + 'img/captcha.php?cid=' + cid  + "&ts="+d.getTime());
    $("#" + ctid).attr("value","");
}

function logincaptchupdate() {
    captchaupdate('login','logincaptcha','logincfield');
}
function regcaptchupdate() {
    captchaupdate('register','registercaptcha','regcfield');
}
function cpwcaptchupdate() {
    captchaupdate('changepass','changepasscaptcha','cpwcfield');
}
function ascaptchupdate() {
    captchaupdate('addscreen','addscreencaptcha','ascfield');
}

function aicaptchupdate() {
    captchaupdate('addicon','addiconcaptcha','ascfield');
}
function fcaptchupdate() {
    captchaupdate('forgot','forgotcaptcha','fcfield');
}

window.loginlock = 0;

function asynclogin() {
    if (window.loginlock==1)
        return false;
    window.loginlock = 1;
    $("#loginbutton").hide();
    $("#loginprogress").show();
    $.ajax({
        url: BP + "login/async",
        type: "POST",
        data: {"login":$("#lflogin").attr("value"),
               "pass":$("#lfpass").attr("value"),
               "captcha":$("#logincfield").attr("value")},
        dataType: "json",
        success: function(data){
            if (data.login_result==0) {
                window.loginlock = 0;
                $("#loginbutton").show();
                $("#loginprogress").hide();
                $("#loginresult").html(data.error);
                $("#loginresult").slideDown();
                logincaptchupdate();
                if (data.forgot)
                    $("#loginresultforgot").clone().appendTo("#loginresult").show();
            }
            if (data.login_result==1) {
                window.location.href = BP + "lk";
            }
        }
    });
    return false;
}

function hideloginresult() {
    $("#loginresult").fadeOut();
}

window.reglock = 0;

function asyncregister() {
    if (window.reglock==1)
        return false;
    window.reglock = 1;
    $("#regbutton").hide();
    $("#regprogress").show();
    $.ajax({
        url: BP + "register/async",
        type: "POST",
        data: {"login":$("#reglogin").attr("value"),
            "pass":$("#regpass").attr("value"),
            "pass2":$("#regpass2").attr("value"),
            "ques":$("#regquest").attr("value"),
            "answ":$("#regansw").attr("value"),
            "email":$("#regemail").attr("value"),
            "captcha":$("#regcfield").attr("value"),
            "rulescb":$("#rulescb").attr("checked"),
            "licensecb":$("#licensecb").attr("checked")},
        dataType: "json",
        success: function(data){
            if (data.register_result==0) {
                window.reglock = 0;
                $("#regbutton").show();
                $("#regprogress").hide();
                $("#registerresult").html("Ошибка регистрации: " + data.error);
                $("#registerresult").slideDown();
                regcaptchupdate();
            }
            if (data.register_result==1) {
                window.location.href = BP + "register/ok";
            }
        }
    });
    return false;
}

function hideregresult() {
    $("#registerresult").fadeOut();
}

window.cpwlock = 0;
function asyncchangepass() {
    if (window.cpwlock==1)
        return false;
    window.cpwlock = 1;
    $("#changepassbtn").hide();
    $("#regprogress").show();
    $.ajax({
        url: BP + "lk/async/changepass",
        type: "POST",
        data: {
            "new":$("#cpwnew").attr("value"),
            "new2":$("#cpwnew2").attr("value"),
            "old":$("#cpwold").attr("value"),
            "captcha":$("#cpwcfield").attr("value")},
        dataType: "json",
        success: function(data){
            if (data.cpwresult==0) {
                window.cpwlock = 0;
                $("#changepassbtn").show();
                $("#regprogress").hide();
                $("#registerresult").html("Ошибка смены пароля: " + data.error);
                $("#registerresult").slideDown();
                cpwcaptchupdate();
            }
            if (data.cpwresult==1) {
                $(".cpwhide").hide();
                $(".cpwshow").fadeIn();
            }
        }
    });
    return false;
}

window.forgotlock = 0;
function asyncforgot() {
    if (window.forgotlock==1)
        return false;
    window.forgotlock = 1;
    $("#forgotbtn").hide();
    $("#regprogress").show();
    $.ajax({
        url: BP + "forgot/async",
        type: "POST",
        data: {
            "login":$("#flogin").attr("value"),
            "captcha":$("#fcfield").attr("value")},
        dataType: "json",
        success: function(data){
            if (data.result==0) {
                window.forgotlock = 0;
                $("#forgotbtn").show();
                $("#regprogress").hide();
                $("#registerresult").html("Ошибка сброса пароля: " + data.error);
                $("#registerresult").slideDown();
                fcaptchupdate();
            }
            if (data.result==1) {
                $(".cpwhide").hide();
                $(".cpwshow").fadeIn();
            }
        }
    });
    return false;
}

window.f2lock = 0;
function asyncforgot2() {
    if (window.f2lock==1)
        return false;
    window.f2lock = 1;
    $("#forgot2btn").hide();
    $("#regprogress").show();
    $.ajax({
        url: BP + "forgot/async",
        type: "POST",
        data: {
            "new":$("#f2new").attr("value"),
            "new2":$("#f2new2").attr("value"),
            "key":$("#f2key").attr("value"),
            "captcha":$("#fcfield").attr("value")},
        dataType: "json",
        success: function(data){
            if (data.result==0) {
                window.f2lock = 0;
                $("#forgot2btn").show();
                $("#regprogress").hide();
                $("#registerresult").html("Ошибка смены пароля: " + data.error);
                $("#registerresult").slideDown();
                cpwcaptchupdate();
            }
            if (data.result==1) {
                $(".cpwhide").hide();
                $(".cpwshow").fadeIn();
            }
        }
    });
    return false;
}

function vold() {
    window.location = 'http://proteys.info/404/';
}

function rclrules() {
    $("#rulescb").removeAttr("alt");
    return true;
}

function rcllicense() {
    $("#licensecb").removeAttr("alt");
    return true;
}

function rcbrules() {
    if ($("#rulescb").attr("alt") != "no")
        return true;
    alert('Перед тем как соглашатся с правилами, их следует прочесть, и запомнить');
    $("#rulescb").removeAttr("checked");
    return false;
}

function rcblicense() {
    if ($("#licensecb").attr("alt") != "no")
        return true;
    alert('Перед тем как соглашатся с лицензионным соглашением, его следует прочесть, и запомнить');
    $("#licensecb").removeAttr("checked");
    return false;
}